textures/stupz_common/areaportal
{	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}
textures/stupz_common/caulk
{	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}
textures/stupz_common/clip
{	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}
textures/stupz_common/clusterportal
{	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}
textures/stupz_common/cushion
{	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}
textures/stupz_common/full_clip // silly shader, use weapclip instead
{	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}
textures/stupz_common/hint // should NOT use surfaceparm hint.. strange but true
{	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	// ydnar: yes it should.
}
textures/stupz_common/missileclip
{	qer_trans 0.40
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nodraw
	//surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
}
textures/stupz_common/nodraw
{	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}
textures/stupz_common/nodrawnonsolid
{	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
}
textures/stupz_common/nodrop
{	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}
textures/stupz_common/noimpact
{	qer_editorimage textures/stupz_common/nolightmap.tga
	surfaceparm noimpact
}
textures/stupz_common/nolightmap
{	surfaceparm nolightmap
}
textures/stupz_common/origin
{	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm origin
}
textures/stupz_common/portal
{	qer_editorimage textures/stupz_common/qer_portal.tga
	surfaceparm nolightmap
	portal
	{
		map textures/stupz_common/mirror1.tga
		tcMod turb 0 0.25 0 0.05
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite

	}
}
textures/stupz_common/slick
{	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}
textures/stupz_common/terrain
{	q3map_terrain
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}
textures/stupz_common/terrain2
{	q3map_terrain
	qer_editorimage textures/stupz_common/terrain.tga
	surfaceparm dust
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}
textures/stupz_common/timportal
{	qer_editorimage textures/stupz_common/qer_portal.tga
	portal
	surfaceparm nolightmap
	{
		map textures/stupz_common/portal.tga
		tcMod turb 0 0.25 0 0.05
		blendFunc GL_ONE GL_SRC_ALPHA
		depthWrite
	}
}
textures/stupz_common/trigger
{	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}
textures/stupz_common/weapclip
{	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}
textures/stupz_common/metalclip
{	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
}
textures/stupz_common/botclip
{	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}
//
// ydnar q3map lightgrid bounds
//
// the min/max bounds of brushes with this shader in a map
// will define the bounds of the map's lightgrid (model lighting)
// note: make it as small as possible around player space
// to minimize bsp size and compile time
//
textures/stupz_common/lightgrid
{	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm detail
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm lightgrid
}
textures/stupz_common/watercaulk
{
	qer_trans 0.40
	qer_editorimage textures/stupz_common/watercaulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm water
}
textures/stupz_common/lavacaulk
{
    qer_editorimage textures/stupz_common/lavacaulk.tga
    qer_trans 0.5
    qer_nocarve
    surfaceparm trans
    surfaceparm noimpact
    surfaceparm lava
    surfaceparm nodraw
    surfaceparm nolightmap
}
